Skip to main content
GET
Get the pipeline definition of a pipeline repository

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repository_id
string<uuid>
required

The connected pipeline repository.

Response

The definition.

A repository's pipeline definition of record.

source
string
required

Where the definition of record was read from.

spec_yaml
string
required
spec_hash
string
required
protected_hash
string | null
required
stages
object[]
required
violations
string[]
required
repository
object
required

The repository a pipeline definition belongs to.